div[data-role="ex-block"]{
    transition: height 0.4s;
    position: relative;
    overflow: hidden;
}
div[data-role="ex-block"] div[data-role="ex-gradient"]{
    height: 25px;
    width: 100%;
    position: absolute;
    bottom: 0;
    left: 0;
    background: linear-gradient(to top, rgba(255,255,255,0.9),rgba(255,255,255,0));
}
div[data-role="ex-button"]{
    cursor: pointer;
}
div[data-role="ex-block"] {
    width: 100%;
    /*height: 0px;*/
}